Arch PipeConnector/ja: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(16 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{docnav|[[Arch_Pipe|Pipe]]|[[Arch_SetMaterial|Material]]|[[Arch_Module|Arch]]|IconL=Arch_Pipe.svg |IconC=Workbench_Arch.svg |IconR=Arch_SetMaterial.png}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{docnav/ja|[[Arch_Pipe|Pipe]]|[[Arch_CompSetMaterial|Arch CompSetMaterial]]|[[Arch_Workbench|Arch]]|IconL=Arch_Pipe.svg |IconC=Workbench_Arch.svg |IconR=Arch_CompSetMaterial.png}}
{{GuiCommand|Name=Arch PipeConnector|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Pipe Tools → Pipe Connector|Shortcut=P C|SeeAlso=[[Arch Pipe]]}}
</div>

<div class="mw-translate-fuzzy">
{{GuiCommand/ja
|Name=Arch PipeConnector|Name/ja=Arch PipeConnector
|MenuLocation=Arch → Pipe Tools → Pipe Connector
|Workbenches=[[Arch Workbench/ja|Arch]]
|Shortcut={{KEY|P}} {{KEY|C}}
|SeeAlso=[[Arch Pipe/ja]], [[Arch Equipment/ja]]
|Version=0.17
}}
</div>
</div>


Line 16: Line 26:


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
#2本または3本のパイプ[[アーチパイプ|アーチパイプ]]を選択します。 3本のパイプを選択する場合は、2本を正確に位置合わせする必要があります。
#2本または3本のパイプ[[Arch Pipe|アーチパイプ]]を選択します。 3本のパイプを選択する場合は、2本を正確に位置合わせする必要があります。
#{{KEY|[[Image:Arch PipeConnector.png|16px]] [[Arch PipeConnector]]}}ボタンを押すか、{{KEY | P}}キーを押してから{{KEY | C}}キーを押します。
#{{KEY|[[Image:Arch PipeConnector.png|16px]] [[Arch PipeConnector]]}}ボタンを押すか、{{KEY | P}}キーを押してから{{KEY | C}}キーを押します。
</div>
</div>
Line 29: Line 39:
[[Arch Pipe#Typical_workflow]] を参照してください。
[[Arch Pipe#Typical_workflow]] を参照してください。
</div>
</div>

== Scripting ==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 35: Line 47:


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Pipe Connectorツールは、[[macros|macros]]/[[マクロ|マクロ]]やPythonコンソールから次の関数を使って使うことができます:
Pipe Connectorツールは、[[macros|マクロ]]やPythonコンソールから次の関数を使って使うことができます:
</div>
</div>
{{Code|code=
{{Code|code=
Line 41: Line 53:
}}
}}


* Creates a {{incode|Connector}} object from the given {{incode|pipes}}, which is a list of [[Arch Pipe]]s, and optionally a {{incode|radius}} of curvature.
* Creates a {{incode|Connector}} object from the given {{incode|pipes}}, which is a list of [[Arch_Pipe|Arch Pipes]], and optionally a {{incode|radius}} of curvature.
** The base objects ([[Draft Wire]]s) of the [[Arch Pipe]]s should share an endpoint so they create a proper, smooth connector.
** The base objects ([[Draft_Wire|Draft Wires]]) of the [[Arch_Pipe|Arch Pipes]] should share an endpoint so they create a proper, smooth connector.


Example:
Example:
Line 76: Line 88:
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()
}}
}}

{{docnav|[[Arch_Pipe|Pipe]]|[[Arch_SetMaterial|Material]]|[[Arch_Module|Arch]]|IconL=Arch_Pipe.svg |IconC=Workbench_Arch.svg |IconR=Arch_SetMaterial.png}}

{{Arch Tools navi}}
<div class="mw-translate-fuzzy">
{{Userdocnavi}}
{{docnav/ja|[[Arch_Pipe|Pipe]]|[[Arch_CompSetMaterial|Arch CompSetMaterial]]|[[Arch_Workbench|Arch]]|IconL=Arch_Pipe.svg |IconC=Workbench_Arch.svg |IconR=Arch_CompSetMaterial.png}}
</div>

{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 18:13, 10 March 2022

Arch PipeConnector

メニューの場所
Arch → Pipe Tools → Pipe Connector
ワークベンチ
Arch
デフォルトのショートカット
P C
バージョンで導入
0.17
も参照してください
Arch Pipe/ja, Arch Equipment/ja

説明

introduced in version 0.17 このツールを使用すると、 Arch Pipesで選択された2つまたは3つのパイプの間にコーナー接続または "T"接続を作成できます。

使用方法

#2本または3本のパイプアーチパイプを選択します。 3本のパイプを選択する場合は、2本を正確に位置合わせする必要があります。 # Arch PipeConnectorボタンを押すか、 Pキーを押してから Cキーを押します。

プロパティ

  • データRadius: このコネクタの曲率半径

典型的なワークフロー

Arch Pipe#Typical_workflow を参照してください。

Scripting

スクリプト処理

Pipe Connectorツールは、マクロやPythonコンソールから次の関数を使って使うことができます:

Connector = makePipeConnector(pipes, radius=0, name="Connector")
  • Creates a Connector object from the given pipes, which is a list of Arch Pipes, and optionally a radius of curvature.
    • The base objects (Draft Wires) of the Arch Pipes should share an endpoint so they create a proper, smooth connector.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(-1000, 0, 0)
p2 = FreeCAD.Vector(-2000, 0, 0)
p3 = FreeCAD.Vector(-2000, 0, 0)
p4 = FreeCAD.Vector(-2000, -1000, 0)
p5 = FreeCAD.Vector(-2000, -1000, 0)
p6 = FreeCAD.Vector(-4000, -1000, 0)
Line1 = Draft.makeWire([p1, p2])
Line2 = Draft.makeWire([p3, p4])
Line3 = Draft.makeWire([p5, p6])

Pipe1 = Arch.makePipe(Line1, 150)
Pipe2 = Arch.makePipe(Line2, 150)
Pipe3 = Arch.makePipe(Line3, 150)
FreeCAD.ActiveDocument.recompute()

Conn = Arch.makePipeConnector([Pipe1, Pipe2])
Conn2 = Arch.makePipeConnector([Pipe2, Pipe3])
FreeCAD.ActiveDocument.recompute()

Line4 = Draft.move(Line1, FreeCAD.Vector(-500, 1000, 0), copy=True)
Line5 = Draft.move(Line2, FreeCAD.Vector(-500, 1000, 0), copy=True)
Pipe4 = Arch.makePipe(Line4, 100)
Pipe5 = Arch.makePipe(Line5, 100)
FreeCAD.ActiveDocument.recompute()

Conn3 = Arch.makePipeConnector([Pipe4, Pipe5], radius=400)
FreeCAD.ActiveDocument.recompute()